# eoBitPrev< Chrom > Class Template Reference
[Bitstring]

eoBitPrev --> previous value when bitstring treated as binary value More...

`#include <ga/eoBitOp.h>`

Inheritance diagram for eoBitPrev< Chrom >:

List of all members.

## Public Member Functions

virtual std::string | className () const
| The class name.
bool | operator() (Chrom &chrom)
| Change the bit std::string x to be x-1.

## Detailed Description

### template<class Chrom>
class eoBitPrev< Chrom >

eoBitPrev --> previous value when bitstring treated as binary value

Definition at line 208 of file eoBitOp.h.

## Member Function Documentation

template<class Chrom>
bool eoBitPrev< Chrom >::operator() | ( | Chrom & | chrom | ) | `[inline, virtual]`

Change the bit std::string x to be x-1.

Parameters:

  | chrom | The chromosome to be substracted one.

Implements eoUF< Chrom &, bool >.

Definition at line 218 of file eoBitOp.h.

The documentation for this class was generated from the following file:

- eoBitOp.h